repmgr service status

# repmgr service status

display information about the status of &repmgrd; on each node in the cluster

## Description

This command provides an overview over all active nodes in the cluster and the state of each node's &repmgrd; instance. It can be used to check the result of and operations.

## Prerequisites

PostgreSQL should be accessible on all nodes (using the `conninfo` string shown by `repmgr cluster show`) from the node where `repmgr service status` is executed.

## Execution

`repmgr service status` can be executed on any active node in the replication cluster. A valid `repmgr.conf` file is required.

If a node is not accessible, or PostgreSQL itself is not running on the node, &repmgr; will not be able to determine the status of that node's &repmgrd; instance, and "`n/a`" will be displayed in the node's `repmgrd` column.

After restarting PostgreSQL on any node, the &repmgrd; instance will take a second or two before it is able to update its status. Until then, &repmgrd; will be shown as not running.

## Examples

&repmgrd; running normally on all nodes:

    $ repmgr -f /etc/repmgr.conf service status
     ID | Name  | Role    | Status    | Upstream | repmgrd | PID   | Paused? | Upstream last seen
    ----+-------+---------+-----------+----------+---------+-------+---------+--------------------
     1  | node1 | primary | * running |          | running | 96563 | no      | n/a
     2  | node2 | standby |   running | node1    | running | 96572 | no      | 1 second(s) ago
     3  | node3 | standby |   running | node1    | running | 96584 | no      | 0 second(s) ago

&repmgrd; paused on all nodes (using ):

    $ repmgr -f /etc/repmgr.conf service status
     ID | Name  | Role    | Status    | Upstream | repmgrd | PID   | Paused? | Upstream last seen
    ----+-------+---------+-----------+----------+---------+-------+---------+--------------------
     1  | node1 | primary | * running |          | running | 96563 | yes     | n/a
     2  | node2 | standby |   running | node1    | running | 96572 | yes     | 1 second(s) ago
     3  | node3 | standby |   running | node1    | running | 96584 | yes     | 0 second(s) ago

&repmgrd; not running on one node:

    $ repmgr -f /etc/repmgr.conf service status
     ID | Name  | Role    | Status    | Upstream | repmgrd     | PID   | Paused? | Upstream last seen
    ----+-------+---------+-----------+----------+-------------+-------+---------+--------------------
     1  | node1 | primary | * running |          | running     | 96563 | yes     | n/a
     2  | node2 | standby |   running | node1    | not running | n/a   | n/a     | n/a
     3  | node3 | standby |   running | node1    | running     | 96584 | yes     | 0 second(s) ago

## Options

`--csv`

  `repmgr service status` accepts an optional parameter `--csv`, which outputs the replication cluster's status in a simple CSV format, suitable for parsing by scripts, e.g.:

          $ repmgr -f /etc/repmgr.conf service status --csv
          1,node1,primary,1,1,5722,1,100,-1,default
          2,node2,standby,1,0,-1,1,100,1,default
          3,node3,standby,1,1,5779,1,100,1,default

  The columns have following meanings:

  - node ID

  - node name

  - node type (primary or standby)

  - PostgreSQL server running (1 = running, 0 = not running)

  - &repmgrd; running (1 = running, 0 = not running, -1 = unknown)

  - &repmgrd; PID (-1 if not running or status unknown)

  - &repmgrd; paused (1 = paused, 0 = not paused, -1 = unknown)

  - &repmgrd; node priority

  - interval in seconds since the node's upstream was last seen (this will be -1 if the value could not be retrieved, or the node is primary)

  - node location

`--detail`

  Display additional information (`location`, `priority`) about the &repmgr; configuration.

`--verbose`

  Display the full text of any database connection error messages.

## See also

, , , , ,